Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.wtc.jatmi
Class EnqueueRequest

    java.lang.Object
      |
      +--weblogic.wtc.jatmi.EnqueueRequest

public final class EnqueueRequest
extends java.lang.Object
implements java.io.Serializable

This represents the information tpenqueue needs in order to make an enqueue request

Author:
  BEA Systems, Inc.
See Also:
  Serialized Form

Field Summary
`static int` | `TPQQOSDEFAULTPERSIST` This flag specifies that the message is to be delivered using the default delivery policy specified on the target queue
`static int` | `TPQQOSNONPERSISTENT` This flag specifies that the message is to be delivered in a non-persistent manner using the memory-based delivery method.
`static int` | `TPQQOSPERSISTENT` This flag specifies that the message is to be delivered in a persistent manner using the disk-based delivery method.

Constructor Summary
`EnqueueRequest()` Initializes an empty EnqueueRequest object
`EnqueueRequest(QueueTimeField deq_time, java.lang.Integer priority, QueueTimeField exp_time, int delivery_qos, int reply_qos, byte[] msgid, byte[] corrid, java.lang.String replyqueue, java.lang.String failurequeue, boolean isTPQEXPTIME_NONE, boolean isTPQTOP, int urcode)` Creates an Enqueue Request with the given fields.

Method Summary
`byte[]` | `getcorrid()` Gets the corrid field of this object
`int` | `getdelivery_qos()` Gets the delivery_qos field of this object
`QueueTimeField` | `getdeq_time()` Gets the deq_time field of this object
`QueueTimeField` | `getexp_time()` Gets the exp_time field of this object
`java.lang.String` | `getfailurequeue()` Gets the failurequeue field of this object
`byte[]` | `getmsgid()` Gets the msgid field of this object
`java.lang.Integer` | `getpriority()` Gets the priority field of this object
`int` | `getreply_qos()` Gets the reply_qos field of this object
`java.lang.String` | `getreplyqueue()` Gets the replyqueue field of this object
`int` | `geturcode()` Gets the user-defined return code
`boolean` | `isTPQEXPTIME_NONE()` Gets the isTPQEXPTIME_NONE field of this object
`boolean` | `isTPQTOP()` Gets the isTPQTOP field of this object
`void` | `setcorrid(byte[] corrid)` Sets the corrid field of this object
`void` | `setdelivery_qos(int delivery_qos)` Sets the delivery_qos field of this object
`void` | `setdeq_time(QueueTimeField deq_time)` Sets the deq_time field of this object
`void` | `setexp_time(QueueTimeField exp_time)` Sets the exp_time field of this object
`void` | `setfailurequeue(java.lang.String failurequeue)` Sets the failurequeue field of this object
`void` | `setmsgid(byte[] msgid)` Sets the msgid field of this object
`void` | `setpriority(java.lang.Integer priority)` Sets the priority field of this object
`void` | `setreply_qos(int reply_qos)` Sets the reply_qos field of this object
`void` | `setreplyqueue(java.lang.String replyqueue)` Sets the replyqueue field of this object
`void` | `setTPQEXPTIME_NONE(boolean TPQEXPTIME_NONE)` Sets the TPQEXPTIME_NONE field of this object
`void` | `setTPQTOP(boolean TPQTOP)` Sets the TPQTOP field of this object
`void` | `seturcode(int urcode)` Sets the user-defined return code
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### TPQQOSDEFAULTPERSIST

    public static final int TPQQOSDEFAULTPERSIST

  This flag specifies that the message is to be delivered using the default delivery policy specified on the target queue

### TPQQOSPERSISTENT

    public static final int TPQQOSPERSISTENT

  This flag specifies that the message is to be delivered in a persistent manner using the disk-based delivery method. When specified, this flag overrides the default delivery policy specified on the target queue

### TPQQOSNONPERSISTENT

    public static final int TPQQOSNONPERSISTENT

  This flag specifies that the message is to be delivered in a non-persistent manner using the memory-based delivery method. Specifically, the message is queued in memory until it is dequeued. When specified, this flag overrides the default delivery policy specified on the target queue. If the caller is transactional, non-persistent messages are enqueued within the caller's transaction, however, non-persistent messages are lost if the system is shut down, crashes, or the IPC shared memory for the queue space is removed

Constructor Detail

### EnqueueRequest

    public EnqueueRequest()

  Initializes an empty EnqueueRequest object

### EnqueueRequest

    public EnqueueRequest(QueueTimeField deq_time,
                          java.lang.Integer priority,
                          QueueTimeField exp_time,
                          int delivery_qos,
                          int reply_qos,
                          byte[] msgid,
                          byte[] corrid,
                          java.lang.String replyqueue,
                          java.lang.String failurequeue,
                          boolean isTPQEXPTIME_NONE,
                          boolean isTPQTOP,
                          int urcode)
                   throws TPException

  Creates an Enqueue Request with the given fields.

  Parameters:
    `deq_time` - The dequeue time of this request or null if not specified
    `priority` - The priority at which a message should be enqueued or null if not specified. If non-null must be between 1 and 100
    `exp_time` - The expiration time of this message or null if not specified
    `delivery_qos` - The delivery quality of service. Valid values are TPQQOSDEFAULTPERSIST, TPQQOSPERSISTENT, or TPQQOSNONPERSISTENT.
    `reply_qos` - The reply quality of service. Valid values are TPQQOSDEFAULTPERSIST, TPQQOSPERSISTENT, or TPQQOSNONPERSISTENT.
    `msgid` - The id of the message before which this message should be queued, or null if none specified. If this is non-null then the isTPQTOP parameter must be false. Must be 32 bytes long.
    `corrid` - The correlation id this message should have, or null if not specified. Must be 32 bytes long.
    `replyqueue` - The reply queue associated with this message, or null if not specified
    `failurequeue` - The failure queue associated with this message, or null if not specified
    `isTPQEXPTIME_NONE` - is set to true if this message should not have an expiration time. If this is set to true then exp_time must be null.
    `isTPQTOP` - is set to true if this message should be placed at the top of the queue. If this is set to true then msgid must be null.
    `urcode` - a user defined return code
  Throws:
    TPException - TPEINVAL if both msgid is non-null and isTPQTOP is true, or the priority field is out of range

Method Detail

### getdeq_time

    public QueueTimeField getdeq_time()

  Gets the deq_time field of this object

  Returns:
    The dequeue time associated with this request, or null if not set

### getpriority

    public java.lang.Integer getpriority()

  Gets the priority field of this object

  Returns:
    The priority associated with this request, or null if not set

### getexp_time

    public QueueTimeField getexp_time()

  Gets the exp_time field of this object

  Returns:
    The expiriation time associated with this request, or null if not set

### getdelivery_qos

    public int getdelivery_qos()

  Gets the delivery_qos field of this object

  Returns:
    The delivery quality of service associated with this request, or null if not set

### getreply_qos

    public int getreply_qos()

  Gets the reply_qos field of this object

  Returns:
    The reply quality of service associated with this request, or null if not set

### getmsgid

    public byte[] getmsgid()

  Gets the msgid field of this object

  Returns:
    The msgid before which this message is to be enqueued associated with this request, or null if not set

### getcorrid

    public byte[] getcorrid()

  Gets the corrid field of this object

  Returns:
    The correlation id associated with this request, or null if not set

### getreplyqueue

    public java.lang.String getreplyqueue()

  Gets the replyqueue field of this object

  Returns:
    The reply queue associated with this request, or null if not set

### getfailurequeue

    public java.lang.String getfailurequeue()

  Gets the failurequeue field of this object

  Returns:
    The failure queue associated with this request, or null if not set

### isTPQTOP

    public boolean isTPQTOP()

  Gets the isTPQTOP field of this object

  Returns:
    true if TPQTOP is set, false otherwise

### isTPQEXPTIME_NONE

    public boolean isTPQEXPTIME_NONE()

  Gets the isTPQEXPTIME_NONE field of this object

  Returns:
    true if TPQEXPTIME_NONE is set, false otherwise

### geturcode

    public int geturcode()

  Gets the user-defined return code

  Returns:
    The user-defined return code

### setdeq_time

    public void setdeq_time(QueueTimeField deq_time)
                     throws TPException

  Sets the deq_time field of this object

  Parameters:
    `deq_time` - The dequeue time associated with this request, or null if not set
  Throws:
    TPException - if deq_time has an invalid value

### setpriority

    public void setpriority(java.lang.Integer priority)
                     throws TPException

  Sets the priority field of this object

  Parameters:
    `priority` - The priority associated with this request, or null if not set
  Throws:
    TPException - if priority has an invalid value

### setexp_time

    public void setexp_time(QueueTimeField exp_time)
                     throws TPException

  Sets the exp_time field of this object

  Parameters:
    `exp_time` - The expiriation time associated with this request, or null if not set
  Throws:
    TPException - TPEINVAL if isTPQEXPTIME_NONE is true

### setdelivery_qos

    public void setdelivery_qos(int delivery_qos)
                         throws TPException

  Sets the delivery_qos field of this object

  Parameters:
    `delivery_qos` - The delivery quality of service associated with this request, or null if not set
  Throws:
    TPException - TPEINVAL if delivery_qos is not valid

### setreply_qos

    public void setreply_qos(int reply_qos)
                      throws TPException

  Sets the reply_qos field of this object

  Parameters:
    `reply_qos` - The reply quality of service associated with this request, or null if not set
  Throws:
    TPException - TPEINVAL if reply_qos is not valid

### setmsgid

    public void setmsgid(byte[] msgid)
                  throws TPException

  Sets the msgid field of this object

  Parameters:
    `msgid` - The msgid before which this message is to be enqueued associated with this request, or null if not set
  Throws:
    TPException - TPEINVAL if msgid is not null and the length of msgid is not 32

### setcorrid

    public void setcorrid(byte[] corrid)
                   throws TPException

  Sets the corrid field of this object

  Parameters:
    `corrid` - The correlation id associated with this request, or null if not set
  Throws:
    TPException - TPEINVAL if corrid is not null and the length of corrid is not 32

### setreplyqueue

    public void setreplyqueue(java.lang.String replyqueue)
                       throws TPException

  Sets the replyqueue field of this object

  Parameters:
    `replyqueue` - The reply queue associated with this request, or null if not set
  Throws:
    TPException - if replyqueue is invalid

### setfailurequeue

    public void setfailurequeue(java.lang.String failurequeue)
                         throws TPException

  Sets the failurequeue field of this object

  Parameters:
    `failurequeue` - The failure queue associated with this request, or null if not set
  Throws:
    TPException - if failurequeue is invalid

### setTPQTOP

    public void setTPQTOP(boolean TPQTOP)
                   throws TPException

  Sets the TPQTOP field of this object

  Parameters:
    `TPQTOP` - true if TPQTOP should be set, false otherwise
  Throws:
    TPException - if we cannot set TPQTOP

### setTPQEXPTIME_NONE

    public void setTPQEXPTIME_NONE(boolean TPQEXPTIME_NONE)
                            throws TPException

  Sets the TPQEXPTIME_NONE field of this object

  Parameters:
    `TPQEXPTIME_NONE` - true if TPQEXPTIME_NONE should be set, false otherwise
  Throws:
    TPException - if TPQEXPTIME is true and the exp_time field of this object is set

### seturcode

    public void seturcode(int urcode)
                   throws TPException

  Sets the user-defined return code

  Parameters:
    `urcode` - The user-defined return code
  Throws:
    TPException - if we cannot set the user code

### toString

    public java.lang.String toString()

  Overrides:
    toString in class java.lang.Object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference